Mitigation
Mitigation
Overview
CleanPipe Protection Mitigation API
Version information
Version : 1.0.0.BETA
License information
Terms of service : https://www.nexusguard.com/
URI scheme
Host : {your_basic_domain}
BasePath : /api
Schemes : HTTPS
Paths
Get mitigation policy options.
GET /specp/cp/mitigation/policy_options
Description
Returns available options for configuring mitigation policies, including collector IPs, IDC names, countries, ICMP filter types, IP protocols, TCP flags, and ICMP types.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Mitigation policy options (collector IPs, IDC names, countries, filter types, protocols, TCP/ICMP options). | result |
| Name | Description | Schema |
|---|---|---|
| collector_ip optional |
Collector IP addresses available for router configuration. | < string > array |
| countries optional |
Key-value map of countries (key = code, value = country name),for both allow/block list policies. | object |
| filter_icmp_type optional |
Key-value map of ICMP types (key = id, value = type name).for ICMP Custom Filter. | object |
| filter_tcp_flags optional |
TCP flags: reserved and other (non-reserved). | filter_tcp_flags |
| icmp_filter_types optional |
Key-value map of ICMP filter types (key = id, value = type name). | object |
| idc_name optional |
IDC names available for tunnel configuration. | < string > array |
| ip_protocol_number_list optional |
Key-value map of IP protocols (key = number, value = protocol name). | object |
| Name | Description | Schema |
|---|---|---|
| other optional |
Key-value map of TCP other flags (key = id, value = flag name). | object |
| reserved optional |
Key-value map of TCP reserved flags (key = id, value = flag name). | object |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Create IP set template for allow/block list policy.
POST /specp/cp/mitigation/template/ip_set
Description
Create IP set template for allow/block list policy.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
API access token for authentication. | string |
| Body | body optional |
IP set template for allow/block list policy. | body |
| Name | Description | Schema |
|---|---|---|
| enable_country required |
Source country enabled status, 0 = off, 1 = on. | integer |
| ip_set_desc optional |
Optional policy description. | string |
| ip_set_name required |
Policy name. | string |
| ip_type required |
IP address family for the template, ipv4 or ipv6. | string |
| source_countries required |
< string > array | |
| source_ips required |
< string > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Schema |
|---|---|
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| ip_set_id optional |
IP set ID. | string |
| msg optional |
Human-readable error or status message. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get an IP set template for allow/block list policy.
GET /specp/cp/mitigation/template/ip_set/{ip_set_id}
Description
Get an IP set template for allow/block list policy.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | ip_set_id required |
IP set ID. Can be obtained by invoking this API for ip_set_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | ip_type optional |
IP address family for the template, ipv4 or ipv6. Default is ipv4. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Schema |
|---|---|
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| enable_country optional |
Source country enabled status, 0 = off, 1 = on. | integer |
| ip_set_desc optional |
Optional policy description. | string |
| ip_set_id optional |
IP set ID. | string |
| ip_set_name optional |
Policy name. | string |
| ip_type optional |
IP address family for the template, ipv4 or ipv6. | string |
| source_countries optional |
< string > array | |
| source_ips optional |
< string > array |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update an IP set template for allow/block list policy.
PUT /specp/cp/mitigation/template/ip_set/{ip_set_id}
Description
Update an IP set template for allow/block list policy.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | ip_set_id required |
IP set ID. Can be obtained by invoking this API for ip_set_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body optional |
IP set template for allow/block list policy. | body |
| Name | Description | Schema |
|---|---|---|
| enable_country required |
Source country enabled status, 0 = off, 1 = on. | integer |
| ip_set_desc optional |
Optional policy description. | string |
| ip_set_name required |
Policy name. | string |
| ip_type required |
IP address family for the template, ipv4 or ipv6. | string |
| source_countries required |
< string > array | |
| source_ips required |
< string > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete an IP set template for allow/block list policy.
DELETE /specp/cp/mitigation/template/ip_set/{ip_set_id}
Description
Delete an IP set template for allow/block list policy.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | ip_set_id required |
IP set ID. Can be obtained by invoking this API for ip_set_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get IP set templates for allow/block list policy.
GET /specp/cp/mitigation/template/ip_sets
Description
Returns IP set templates for building allow list or block list policies. Supports ip_type: ipv4 or ipv6.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
API access token for authentication. | string |
| Query | ip_type optional |
IP address family for the template: ipv4 or ipv6. Default: ipv4. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
< result > array |
| Name | Description | Schema |
|---|---|---|
| enable_country optional |
Source country enabled status, 0 = off, 1 = on. | integer |
| ip_set_desc optional |
Optional policy description. | string |
| ip_set_id optional |
IP set ID. Can be obtained by invoking this API for ip_set_id. | string |
| ip_set_name optional |
Policy name. | string |
| ip_type optional |
IP address family for the template, ipv4 or ipv6. | string |
| source_countries optional |
< string > array | |
| source_ips optional |
< string > array |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update TCP anti-flood policy.
POST /specp/cp/site/{site_id}/host/{host_id}/manual-mitigation/anti-flood/l3l4/tcp
Description
Incrementally updates the TCP anti-flood policy for the host. Include only fields or sub-objects to change; omitted fields are preserved.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /specp/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Body | policy required |
TCP anti-flood policy. | AntiFloodL3L4TcpPolicyInput |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get TCP anti-flood policy.
GET /specp/cp/site/{site_id}/host/{host_id}/manual-mitigation/anti-flood/l3l4/tcp
Description
Returns the TCP anti-flood policy for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /specp/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
| result optional |
AntiFloodL3L4TcpPolicy |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update Zombie host detection policy.
POST /specp/cp/site/{site_id}/host/{host_id}/manual-mitigation/zombie
Description
Incrementally updates zombie host/network detection settings. Include only fields or sub-objects to change; omitted fields are preserved. Flex zombie rules are managed via flex-zombie CRUD APIs.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /specp/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Body | policy required |
Zombie host detection policy. | ZombiePolicyInput |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get Zombie host detection policy.
GET /specp/cp/site/{site_id}/host/{host_id}/manual-mitigation/zombie
Description
Returns the zombie host detection policy for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /specp/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
| result optional |
ZombiePolicy |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Create flex zombie rule.
POST /specp/cp/site/{site_id}/host/{host_id}/manual-mitigation/zombie/flex-zombie
Description
Creates a flex zombie rule for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /specp/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Body | rule required |
Flex zombie rule configuration. | FlexZombieRuleInput |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| rule_id optional |
Rule ID | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get flex zombie rule.
GET /specp/cp/site/{site_id}/host/{host_id}/manual-mitigation/zombie/flex-zombie/{rule_id}
Description
Returns a flex zombie rule for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | rule_id required |
Unique identifier of the flex zombie rule. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /specp/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
| result optional |
FlexZombieRule |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update flex zombie rule.
PUT /specp/cp/site/{site_id}/host/{host_id}/manual-mitigation/zombie/flex-zombie/{rule_id}
Description
Updates a flex zombie rule for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | rule_id required |
Unique identifier of the flex zombie rule. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /specp/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Body | rule required |
Flex zombie rule configuration. | FlexZombieRuleInput |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete flex zombie rule.
DELETE /specp/cp/site/{site_id}/host/{host_id}/manual-mitigation/zombie/flex-zombie/{rule_id}
Description
Deletes a flex zombie rule from the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | rule_id required |
Unique identifier of the flex zombie rule. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /specp/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Result |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get flex zombie rules.
GET /specp/cp/site/{site_id}/host/{host_id}/manual-mitigation/zombie/flex-zombies
Description
Returns the flex zombie rules for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /specp/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
| result optional |
< FlexZombieRule > array |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get FlexFilter or ACL Filter info for mitigation.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/acl-filter
Description
Get the info of FlexFilter/ACL Filter for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| common_rule_sets optional |
The filter sets. | < common_rule_sets > array |
| custom_rule_set optional |
Custom Filters. | custom_rule_set |
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| Name | Description | Schema |
|---|---|---|
| rule_set_desc optional |
Optional policy description. | string |
| rule_set_id optional |
Unique identifier of common rule. | string |
| rule_set_name optional |
Policy name. | string |
| Name | Description | Schema |
|---|---|---|
| action optional |
Either rate limiting, dropping or letting the traffic pass are taken. | string |
| bps_limit optional |
ratelimit in bps. | string |
| dst_ip optional |
IP Address of the recipient. | < string > array |
| dst_port optional |
Port number to which the data packet is sent. | < integer > array |
| is_enabled optional |
0 means it is disabled and 1 means enabled. |
integer |
| package_length optional |
< string > array | |
| pps_limit optional |
ratelimit in pps. | string |
| protocol optional |
Protocol of the data packet. | string |
| rule_desc optional |
Optional policy description. | string |
| rule_id optional |
Unique identifier of custom rule. | integer |
| rule_name optional |
The name of the policy | string |
| src_ip optional |
IP address of the sender, as it is shown in the data packet. | < string > array |
| src_port optional |
Port number from which the data packet is sent | < integer > array |
| tcp_flags optional |
In TCP connection, flags are used to indicate a particular state of connection or to provide some additional useful information. | < string > array |
| ttl optional |
Time-to-live (TTL) is a value in an IP packet that tells a network router whether or not the packet has been in the network too long and should be discarded. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Add FlexFilter, ACL Filter, or custom filter rules.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/acl-filter/custom-filter
Description
Add rules for the FlexFilter/ACL Filter/ custom filters.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body required |
FlexFilter/Custom filter rule configuration. | body |
| Name | Description | Schema |
|---|---|---|
| action required |
You can select ‘pass’, ‘drop’ or ‘ratelimit’. Selecting the ratelimit can allow you to define the capacity of the bandwidth that data packets can consume. | string |
| bps_limit optional |
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. | string |
| dst_ip optional |
IP Address of the recipient. | < string > array |
| dst_port optional |
Port number to which the data packet is sent. | < integer > array |
| icmp_code optional |
When ICMP_type is required for ICMP-unreach, ICMP-Redirect or ICMP-Paramprob, when ICMP-unreach is 0-15, ICMP-redirect is 0-3, and ICMP-paramprob is 0-2. | integer |
| icmp_type optional |
When the protocols value is required for ICMP, the value can be custom or from the filter_ICMP_type field that returns the result from config options. When custom, the range is an integer between 0 and 255. | string |
| package_length optional |
The size of the data packet. | string |
| pps_limit optional |
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. | string |
| protocol required |
Protocol of the data packet. Currently, tcp, udp and icmp are supported. | string |
| rule_desc optional |
Optional policy description. | string |
| rule_name required |
The name of the policy created. | string |
| src_ip optional |
IP address of the sender, as it is shown in the data packet. | < string > array |
| src_port optional |
Port number from which the data packet is sent. | < integer > array |
| tcp_flags optional |
When the protocol is TCP, its value is retrieved from the filter_tcp_flags in the configuration options. | < string > array |
| ttl optional |
Time-to-live (TTL) is a value in an IP packet that tells a network router whether or not the packet has been in the network too long and should be discarded. It is set to a value between zero and 255. | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| rule_id optional |
Rule ID, a unique identifier assigned to each FlexFilter Custom Filters. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get FlexFilter, ACL Filter, and custom filters policy for mitigation.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/acl-filter/custom-filter/{rule_id}
Description
Returns the FlexFilter, ACL Filter, and custom filters policy for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | rule_id required |
Unique identifier of custom rule. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| action optional |
Either rate limiting, dropping or letting the traffic pass are taken. | string |
| bps_limit optional |
ratelimit in bps. | string |
| dst_ip optional |
IP Address of the recipient. | < string > array |
| dst_port optional |
Port number to which the data packet is sent. | < integer > array |
| icmp_code optional |
ICMP Code. | integer |
| icmp_type optional |
The filters for ICMP. | string |
| is_enabled optional |
0 means it is disabled and 1 means enabled. |
integer |
| package_length optional |
The size of the data packet. | < string > array |
| pps_limit optional |
ratelimit in pps. | string |
| protocol optional |
Protocol of the data packet. | string |
| rule_desc optional |
Optional policy description. | string |
| rule_id optional |
Unique identifier of a policy. | string |
| rule_name optional |
The name of the policy | string |
| src_ip optional |
IP address of the sender, as it is shown in the data packet. | < string > array |
| src_port optional |
Port number from which the data packet is sent | < integer > array |
| tcp_flags optional |
In TCP connection, flags are used to indicate a particular state of connection or to provide some additional useful information. | < string > array |
| ttl optional |
Time-to-live (TTL) is a value in an IP packet that tells a network router whether or not the packet has been in the network too long and should be discarded. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit FlexFilter, ACL Filter, or custom filter rules.
PUT /specp/cp/site/{site_id}/host/{host_id}/mitigation/acl-filter/custom-filter/{rule_id}
Description
Edit the rules for FlexFilter/ACL Filter/custom filters.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | rule_id required |
Unique identifier of a rule. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body required |
FlexFilter/ACL Custom filter rule configuration. | body |
| Name | Description | Schema |
|---|---|---|
| action required |
You can select “pass”, “drop” or “ratelimit”. Selecting the ratelimit can allow you to define the capacity of the bandwidth that data packets can consume. | string |
| bps_limit optional |
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. | string |
| dst_ip optional |
IP Address of the recipient. | < string > array |
| dst_port optional |
Port number to which the data packet is sent. | < integer > array |
| icmp_code optional |
When ICMP_type is required for ICMP-unreach, ICMP-Redirect or ICMP-Paramprob, when ICMP-unreach is 0-15, ICMP-redirect is 0-3, and ICMP-paramprob is 0-2. | integer |
| icmp_type optional |
When the protocols value is required for ICMP, the value can be custom or from the filter_ICMP_type field that returns the result from config options. When custom, the range is an integer between 0 and 255.Can be obtained by invoking this API for icmp types. | string |
| package_length optional |
The size of the data packet. | string |
| pps_limit optional |
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. | string |
| protocol required |
Protocol of the data packet. Currently, tcp, udp and icmp are supported. | string |
| rule_desc optional |
Optional policy description. | string |
| rule_name required |
Unique identifier of a policy created. | string |
| src_ip optional |
IP address of the sender, as it is shown in the data packet. | < string > array |
| src_port optional |
Port number from which the data packet is sent. | < integer > array |
| tcp_flags optional |
When the protocol is TCP, its value is retrieved from the filter_tcp_flags in the configuration options.Can be obtained by invoking this API for tcp flags. | < string > array |
| ttl optional |
Time-to-live (TTL) is a value in an IP packet that tells a network router whether or not the packet has been in the network too long and should be discarded. It is set to a value between zero and 255. | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete FlexFilter, ACL Filter, or custom filter rule.
DELETE /specp/cp/site/{site_id}/host/{host_id}/mitigation/acl-filter/custom-filter/{rule_id}
Description
Deletes FlexFilter/ ACL Filter/ custom filters.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | rule_id required |
Unique identifier of custom rule. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change FlexFilter, ACL Filter, or custom filters switch status.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/acl-filter/custom-filter/{rule_id}/switch
Description
Change the status of the switch of the FlexFilter/ ACL Filter/custom filters.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | rule_id required |
Unique identifier of custom rule. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| FormData | is_enabled required |
0 means the switch of ACL Filter is disabled whereas 1 means it is enabled. |
integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit FlexFilter filter sets for the host.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/acl-filter/filter-sets
Description
Edit the FlexFilter filter sets for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| FormData | rule_set_id required |
Enter the rule id you want to add.Can be obtained by invoking this API for rule_set_id. | < string > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change FlexFilter or ACL Filter policy switch status.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/acl-filter/switch
Description
Changes the status of the switch for the policies for FlexFilter/ACL Filter.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| FormData | is_enabled required |
0 = disabled, 1 = enabled. | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit Allow/Blocklist content for host.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/allow-block-list
Description
Add or update source IPs and/or source countries for the host’s Allow/Blocklist.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | cp_mitigation_allow-block-list_service optional |
Allow list or block list configuration (list type and enabled state). | cp_mitigation_allow-block-list_service |
cp_mitigation_allow-block-list_service
| Name | Description | Schema |
|---|---|---|
| ip_set_id optional |
ip set id for allow/blocklist. Can be obtained by invoking this API for ip set templates. | string |
| source_countries optional |
Country or region codes for allow/block list content, e.g. ISO country codes (US, CN). Can obtain from this API for country codes. | < string > array |
| source_ips optional |
IP addresses for allow/block list content. | < string > array |
| type required |
List type. One of: allow_list, block_list. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get allow list or block list content for host.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/allow-block-list
Description
Returns the current allow list or block list content (status, source IPs, source countries) for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | type required |
Policy type: allow_list or block_list. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
Allow/block list status: 0 = disabled, 1 = enabled. | integer |
| source_countries optional |
Country or region codes for allow/block list content, e.g. ISO country codes (US, CN). | < string > array |
| source_ips optional |
Source IP addresses in the list. | < string > array |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change Allow/Blocklist mitigation policy status for host.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/allow-block-list/switch
Description
Update Allow/Blocklist mitigation policy status for host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID.Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID.Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | cp_mitigation_allow-block-list_service optional |
Allow list or block list configuration (list type and enabled state). | cp_mitigation_allow-block-list_service |
cp_mitigation_allow-block-list_service
| Name | Description | Schema |
|---|---|---|
| is_enabled required |
0 = off; 1 = custom; 2 = enabled with an IP set template. |
integer |
| type required |
List type. One of: allow_list, block_list. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change Bogons mitigation policy.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/bogons/switch
Description
Enables or disables Bogons mitigation for the site/host (e.g. martian_address, land_attack).
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| FormData | is_enabled required |
0 = disabled, 1 = enabled. | integer |
| FormData | type required |
Bogons type: martian_address or land_attack. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get Bogons mitigation switch status.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/bogons/switch
Description
Returns the current Bogons mitigation switch status for the site/host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| land_attack optional |
Land attack settings. | land_attack |
| martian_address optional |
Martian address settings. | martian_address |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit traffic policies.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/filter-policing
Description
It is used to edit Traffic Policies.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| FormData | threshold_bps required |
Threshold values in bps.must be a number or K, M, G format. | string |
| FormData | threshold_pps required |
Threshold values in pps.must be a number or K, M, G format. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get traffic policing or filter policing info.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/filter-policing
Description
Get mitigation traffic policing info.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 means the mitigation policy for zombie is disabled whereas 1 means it is enabled. |
integer |
| threshold_bps optional |
Threshold values in bps. | string |
| threshold_pps optional |
Threshold values in pps. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change traffic policing or filter policing switch status.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/filter-policing/switch
Description
It is a switch to change the status of Traffic Policing/Filter Policing.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| FormData | is_enabled required |
0 means the filter policy is disabled whereas 1 means it is enabled. |
integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get ICMP flood policy info.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/icmp-flood
Description
Returns ICMP flood policy info for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| custom_icmp_filter optional |
Customizable ICMP filter settings. | custom_icmp_filter |
| drop_large_ping_packets optional |
Drop large ping packets settings. | drop_large_ping_packets |
| icmp_fragmentation optional |
ICMP fragmentation settings. | icmp_fragmentation |
| Name | Description | Schema |
|---|---|---|
| default optional |
Default ICMP filters. | default |
| filters optional |
List of customizable ICMP filters. | < filters > array |
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| Name | Description | Schema |
|---|---|---|
| action optional |
pass or ratelimit. | string |
| bps_limit optional |
Rate limit in bits per second (bps). | string |
| filter_name optional |
Filter name. | string |
| icmp_length optional |
ICMP payload length to drop (1–1500 bytes). | integer |
| icmp_type optional |
ICMP filter type (from policy options). | integer |
| pps_limit optional |
Rate limit in packets per second (pps). | string |
| Name | Description | Schema |
|---|---|---|
| action optional |
pass or ratelimit. | string |
| bps_limit optional |
Rate limit in bits per second (bps). | string |
| filter_id optional |
Custom filter ID. | string |
| filter_name optional |
Filter name. | string |
| icmp_length optional |
ICMP payload length to drop (bytes). | integer |
| icmp_type optional |
ICMP type (from policy options). | integer |
| pps_limit optional |
Rate limit in packets per second (pps). | string |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Add ICMP flood or customizable protocol filters.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/icmp-flood/icmp-filter
Description
Add filters for ICMP flood/Customizable protocol filters.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body required |
ICMP filter configuration. | body |
| Name | Description | Schema |
|---|---|---|
| action required |
Action when filter matches: pass or ratelimit. | enum (pass, ratelimit) |
| bps_limit optional |
Rate limit in bps must be 1-4000000000 or number with unit K/M/G (e.g. 1K, 2 M, 4 G). Required when action is ratelimit. | string |
| filter_name required |
Filter name. | string |
| icmp_length required |
Packet size in bytes (1–1500). | integer |
| icmp_type required |
ICMP type (from policy options icmp_filter_types). Can be obtained by invoking this API for ICMP types. | integer |
| pps_limit optional |
Rate limit in pps must be 1-4000000000 or number with unit K/M/G (e.g. 1K, 2 M, 4 G). Required when action is ratelimit. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| filter_id optional |
Filter ID, a unique identifier assigned to each Custom ICMP Filter. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get ICMP flood or customizable ICMP filter policies.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/icmp-flood/icmp-filter/{filter_id}
Description
Returns ICMP flood or customizable ICMP filter policies for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Custom filter ID. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| action optional |
pass or ratelimit. | string |
| bps_limit optional |
Rate limit in bits per second (bps). | string |
| filter_name optional |
Filter name. | string |
| icmp_length optional |
ICMP payload length to drop (bytes). | integer |
| icmp_type optional |
ICMP type (from policy options). | integer |
| pps_limit optional |
Rate limit in packets per second (pps). | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit ICMP flood or customizable protocol filter policies.
PUT /specp/cp/site/{site_id}/host/{host_id}/mitigation/icmp-flood/icmp-filter/{filter_id}
Description
Edit the policies of the filters for ICMP flood/Customizable protocol.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Custom filter ID. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body required |
ICMP filter configuration. | body |
| Name | Description | Schema |
|---|---|---|
| action optional |
Action when filter matches: pass or ratelimit. | string |
| bps_limit optional |
Rate limit in bps must be 1-4000000000 or number with unit K/M/G (e.g. 1K, 2 M, 4 G). Required when action is ratelimit. | string |
| filter_name optional |
Filter name. | string |
| icmp_length optional |
Packet size in bytes (1–1500). | integer |
| icmp_type optional |
The ICMP type number. Can be obtained by invoking this API for ICMP types. | integer |
| pps_limit optional |
Rate limit in pps must be 1-4000000000 or number with unit K/M/G (e.g. 1K, 2 M, 4 G). Required when action is ratelimit. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete ICMP flood or customizable protocol filter policy.
DELETE /specp/cp/site/{site_id}/host/{host_id}/mitigation/icmp-flood/icmp-filter/{filter_id}
Description
Delete the policies for the filter for ICMP flood/Customizable protocol.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Custom filter ID. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change ICMP flood policy status.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/icmp-flood/switch
Description
Enables or disables ICMP flood mitigation for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| FormData | is_enabled required |
0 = disabled, 1 = enabled. | integer |
| FormData | module required |
ICMP flood module: icmp_fragmentation, custom_icmp_filter, or drop_large_ping_packets. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get IP Flood mitigation configuration.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/ip-flood
Description
Returns IP flood mitigation settings (e.g. IP fragmentation, customizable protocol filters).
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| custom_protocol_filter optional |
Customizable protocol filter settings. | custom_protocol_filter |
| drop_invalid_ip_packets optional |
IP Invalid packets settings. | drop_invalid_ip_packets |
| ip_fragmentation optional |
IP fragmentation settings. | ip_fragmentation |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| protocol optional |
List of protocol numbers. | < integer > array |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
Enable status.Values: 0 = off, 1 = drop. | integer |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit customizable protocol filter policy.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/ip-flood/protocol
Description
Edit customizable protocol filter policy.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| FormData | protocols required |
Protocol numbers (0–255) from configuration options.Can be obtained by invoking this API for protocol numbers. | < integer > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change IP Flood policy status.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/ip-flood/switch
Description
Enables or disables IP Flood mitigation for the site/host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| FormData | is_enabled required |
Enable status.Values: 0 = off, 1 = drop. | integer |
| FormData | module required |
IP Flood type. in (drop_invalid_ip_packets, ip_fragmentation, custom_protocol_filter). drop_invalid_ip_packets = drop invalid IP packets, ip_fragmentation = IP fragmentation, custom_protocol_filter = Custom Protocol Filter. | enum (drop_invalid_ip_packets, ip_fragmentation, custom_protocol_filter) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Add a custom filter for L7 flood mitigation.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/custom-filter
Description
Add a custom filter for L7 flood mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body required |
Request body. | body |
| Name | Description | Schema |
|---|---|---|
| filter_desc optional |
Filter description | string |
| filter_name required |
Filter name | string |
| filter_port required |
Port list | < string > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Data | result |
| Name | Description | Schema |
|---|---|---|
| filter_id optional |
Filter ID | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get a single custom filter info for L7 flood mitigation.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/custom-filter/{filter_id}
Description
Get the info of a custom filter for L7 flood mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
CustomFilter |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update a custom filter for L7 flood mitigation.
PUT /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/custom-filter/{filter_id}
Description
Update the info of a custom filter for L7 flood mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Unique identifier of filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body optional |
CustomFilter |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Result data. | object |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete a custom filter for L7 flood mitigation.
DELETE /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/custom-filter/{filter_id}
Description
Delete a custom filter for L7 flood mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
< result > array |
| Name | Description | Schema |
|---|---|---|
| rule_set_desc optional |
The description of the filter set. | string |
| rule_set_id optional |
Filter set ID. | string |
| rule_set_name optional |
The name of the filter set. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood custom filter info for mitigation.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/custom-filters
Description
Get the info of L7 flood custom filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Custom filters | < CustomFilter > array |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Set L7 flood HTTP filters for mitigation.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/http-filter
Description
Set the info of L7 flood HTTP filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body required |
body |
| Name | Schema |
|---|---|
| filter_desc optional |
string |
| filter_name required |
string |
| filter_port required |
< integer > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Data | result |
| Name | Description | Schema |
|---|---|---|
| filter_id optional |
Filter ID | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood HTTP filter info for mitigation.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/http-filter/{filter_id}
Description
Get the info of L7 flood HTTP filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Unique identifier of a L7 flood HTTP filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
HTTP filter configuration request | HttpFilter |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Set L7 flood HTTP filters for mitigation.
PUT /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/http-filter/{filter_id}
Description
Set the info of L7 flood HTTP filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Unique identifier of a L7 flood HTTP filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body optional |
HttpFilter |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete L7 flood HTTP filters for mitigation.
DELETE /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/http-filter/{filter_id}
Description
Delete the info of L7 flood HTTP filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Unique identifier of a filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood HTTP filters.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/http-filters
Description
Get the info of L7 flood HTTP filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
HTTP filters | < HttpFilter > array |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Add an L7 flood QUIC filter for mitigation.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/quic-filter
Description
Add a L7 flood QUIC filter for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body required |
body |
| Name | Schema |
|---|---|
| filter_desc optional |
string |
| filter_name optional |
string |
| filter_port optional |
< integer > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Data | result |
| Name | Description | Schema |
|---|---|---|
| filter_id optional |
Filter ID | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood QUIC filter info for mitigation.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/quic-filter/{filter_id}
Description
Get the info of L7 flood QUIC filter for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Quic filter info. | QuicFilter |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update L7 flood QUIC filter for mitigation.
PUT /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/quic-filter/{filter_id}
Description
Update the info of L7 flood QUIC filter for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body optional |
QuicFilter |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete L7 flood QUIC filters for mitigation.
DELETE /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/quic-filter/{filter_id}
Description
Delete the info of L7 flood QUIC filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood QUIC filters.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/quic-filters
Description
Get the info of L7 flood QUIC filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
QUIC filters | < QuicFilter > array |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Add an L7 flood SIP filter for mitigation.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/sip-filter
Description
Add a L7 flood SIP filter for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body required |
Request body. | body |
| Name | Description | Schema |
|---|---|---|
| filter_desc optional |
Filter description | string |
| filter_name optional |
Filter name | string |
| filter_tcp_port required |
TCP Port list | < integer > array |
| filter_udp_port required |
UDP Port list | < integer > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Data | result |
| Name | Description | Schema |
|---|---|---|
| filter_id optional |
Filter ID | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get a single L7 flood SIP filter info for mitigation.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/sip-filter/{filter_id}
Description
Get the info of a L7 flood SIP filter for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
SipFilter |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Set L7 flood custom filters for mitigation.
PUT /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/sip-filter/{filter_id}
Description
Set the info of L7 flood custom filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body optional |
SipFilter |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete L7 flood custom filters for mitigation.
DELETE /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/sip-filter/{filter_id}
Description
Delete the info of L7 flood custom filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Filter ID | integer |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood SIP filter info for mitigation.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/sip-filters
Description
Get the info of L7 flood SIP filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
SIP filters | < SipFilter > array |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Set L7 flood TLS filters for mitigation.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/tls-filter
Description
Set the info of L7 flood TLS filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body required |
body |
| Name | Schema |
|---|---|
| filter_desc optional |
string |
| filter_name required |
string |
| filter_port required |
< integer > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Data | result |
| Name | Description | Schema |
|---|---|---|
| filter_id optional |
Filter ID | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood TLS filter info for mitigation.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/tls-filter/{filter_id}
Description
Get the info of L7 flood TLS filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Unique identifier of a L7 flood HTTP filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Tls filter info | TlsFilter |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Set L7 flood QUIC filters for mitigation.
PUT /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/tls-filter/{filter_id}
Description
Set the info of L7 flood QUIC filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Unique identifier of a filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body required |
TlsFilter |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete L7 flood TLS filters for mitigation.
DELETE /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/tls-filter/{filter_id}
Description
Delete the info of L7 flood TLS filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Unique identifier of a L7 flood TLS filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood HTTP filter info for mitigation.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/l7-flood/tls-filters
Description
Get the info of L7 flood HTTP filters for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
< TlsFilter > array |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change NTIF mitigation policy.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/ntif
Description
Edit NTIF mitigation policy for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| FormData | is_enabled required |
0 = disabled, 1 = monitor on trigger, 2 = drop on trigger. | integer |
| FormData | type required |
NTIF type (e.g. proxy, tor, ddos, reputation, malware, scanner, dark_spider, spam). | enum (proxy, tor, ddos, reputation, malware, scanner, dark_spider, spam) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get NTIF mitigation configuration.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/ntif
Description
Returns the current NTIF mitigation switch status for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| anonymizer optional |
Anonymizer settings. | anonymizer |
| botnet optional |
Botnet settings. | botnet |
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| Name | Description | Schema |
|---|---|---|
| proxy optional |
Proxy settings. | proxy |
| tor optional |
Tor settings. | tor |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = monitor on trigger, 2 = block on trigger. | integer |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = monitor on trigger, 2 = block on trigger. | integer |
| Name | Description | Schema |
|---|---|---|
| dark_spider optional |
Dark spider settings. | dark_spider |
| ddos optional |
DDoS settings. | ddos |
| malware optional |
Malware settings. | malware |
| reputation optional |
Reputation settings. | reputation |
| scanner optional |
Scanner settings. | scanner |
| spam optional |
Spam settings. | spam |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = monitor on trigger, 2 = block on trigger. | integer |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = monitor on trigger, 2 = block on trigger. | integer |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = monitor on trigger, 2 = block on trigger. | integer |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = monitor on trigger, 2 = block on trigger. | integer |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = monitor on trigger, 2 = block on trigger. | integer |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = monitor on trigger, 2 = block on trigger. | integer |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change NTIF mitigation policy status.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/ntif/switch
Description
Enables or disables NTIF mitigation for the site/host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| FormData | is_enabled required |
0 = disabled, 1 = enabled. | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get FlexFilter or Payload Filter info for mitigation.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/payload-filter
Description
Returns info of FlexFilter/Payload Filter for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
< result > array |
| Name | Description | Schema |
|---|---|---|
| action optional |
An action will be taken when they match. | string |
| bps_limit optional |
ratelimit in bps. | string |
| filter_id optional |
Unique identifier of advanced rule. | string |
| filter_name optional |
The name of the policies. | string |
| payload_string optional |
The string of the payload. | payload_string |
| port optional |
The port number of the data packet. | port |
| pps_limit optional |
ratelimit in pps. | string |
| protocol optional |
The protocol of the data packet. | protocol |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| string optional |
Key word or phrase to look for in a payload. | < string > array |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| ports optional |
The lists of the port numbers. | < integer > array |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| type optional |
Currently, tcp, udp and ip supported protocol for the data packet can be used. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Add FlexFilter or Payload Filter policy.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/payload-filter/filter
Description
Add the policies for the FlexFilter/Payload Filter.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body required |
Advanced payload filtering rule configuration. | body |
| Name | Description | Schema |
|---|---|---|
| action required |
Action to take when a match is found. You can choose pass, drop and rateLimit.Selecting Rate Limit allows to define a limit of bandwidth all such data packets can use. | string |
| bps_limit optional |
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. | string |
| filter_name required |
The name of the policies created. | string |
| payload_string optional |
If the “payload_string_enabled” is switched on, the key word or phrase must be provided to be looked for in a payload. | < string > array |
| payload_string_enabled optional |
0 means the switch of the payload string is disabled whereas 1 means it is enabled.At least one of the protocol_enabled, port_enabled, and payload_string_enabled must be enabled. |
integer |
| port optional |
If the “port_enabled” is switched on, the port number either for the source or destination port of the data packet must be provided , with the exception of protocol is ‘ip’. | < integer > array |
| port_enabled optional |
0 means the port switch is disabled whereas 1 means it is enabled.At least one of the protocol_enabled, port_enabled, and payload_string_enabled must be enabled, with the exception of protocol is ‘ip’. |
integer |
| pps_limit optional |
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. | string |
| protocol optional |
If protocol_enabled is switched on, the type of protocol must be provided. Currently, tcp, udp and ip supported protocol for the data packet can be used. | string |
| protocol_enabled optional |
0 means the switch of the protocol is disabled whereas 1 means it is enabled.At least one of the protocol_enabled, port_enabled, and payload_string_enabled must be enabled. |
integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| filter_id optional |
Filter ID, a unique identifier assigned to each FlexFilter/Advanced Payload Filtering. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get FlexFilter or Payload Filter policy list for mitigation.
GET /specp/cp/site/{site_id}/host/{host_id}/mitigation/payload-filter/{filter_id}
Description
Returns info of policies for FlexFilter/Payload Filter for mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Advanced payload filter ID. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| action optional |
An action will be taken when they match. | string |
| bps_limit optional |
ratelimit in bps. | string |
| filter_name optional |
The name of the policies. | string |
| payload_string optional |
The payload of the string. | payload_string |
| port optional |
The port number of the data packet. | port |
| pps_limit optional |
ratelimit in pps. | string |
| protocol optional |
The protocol of the data packet. | protocol |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| string optional |
The key word or phase to be lookedfor in a payload. | < string > array |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| ports optional |
The list of the port number. | < integer > array |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| type optional |
Currently, tcp, udp and ip supported protocol for the data packet can be used. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit FlexFilter/Advanced Payload Filtering.
PUT /specp/cp/site/{site_id}/host/{host_id}/mitigation/payload-filter/{filter_id}
Description
Edit FlexFilter/Advanced Payload Filtering.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Unique identifier of advanced filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Body | body required |
Advanced payload filtering rule configuration. | body |
| Name | Description | Schema |
|---|---|---|
| action required |
You can select “pass”, “drop” or “ratelimit”. Selecting the ratelimit can allow you to define the capacity of the bandwidth that data packets can consume. | string |
| bps_limit optional |
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. | string |
| filter_name required |
The name of the policies created. | string |
| payload_string optional |
If “payload_string_enabled” is switched on, the key word or phase must be provided to be looked for in a payload. | < string > array |
| payload_string_enabled optional |
0 means the switch for the payload string is disabled whereas 1 means it is enabled.At least one of the protocol_enabled, port_enabled, and payload_string_enabled must be enabled. |
integer |
| port optional |
If the “port_enable” is switched on, the port number of the data packet must be provided. The port number can be either source or destination port | < integer > array |
| port_enabled optional |
0 means the port switch is disabled whereas 1 means it is enabled.At least one of the protocol_enabled, port_enabled, and payload_string_enabled must be enabled. |
integer |
| pps_limit optional |
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. | string |
| protocol optional |
If the “port_enable” is switched on, the name of protocol of the data packet must be provided. Currently, this function supports TCP, UDP and IP protocol. | string |
| protocol_enabled optional |
0 means the switch for the protocol is disabled whereas 1 means it is enabled.At least one of the protocol_enabled, port_enabled, and payload_string_enabled must be enabled. |
integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete policies for FlexFilter/Payload Filter.
DELETE /specp/cp/site/{site_id}/host/{host_id}/mitigation/payload-filter/{filter_id}
Description
Delete policies for FlexFilter/Payload Filter.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | filter_id required |
Unique identifier of advanced filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit smart filter policy.
POST /specp/cp/site/{site_id}/host/{host_id}/mitigation/smart-filter/filter
Description
It is used to edit the policy for smart filter.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
[...]
